> For the complete documentation index, see [llms.txt](https://docs.flylogs.com/fcom/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flylogs.com/fcom/api-docs/usage.md).

# Usage

The usage of Flylogs API requires acceptance of our [Terms and conditions](https://www.flylogs.com/static/legal).\
Get in [contact with our support team](https://www.flylogs.com/home/contact) to get the API service active on your company account.

**NOTES ABOUT THE API USAGE:**

* API access is limited to Premium and Unlimited Flylogs Account users.
* Access to the API has to be requested to the Flylogs Support team in order to be activated for your company.
* Integrations authenticate with an **API key**, created by a Company Administrator under **Company Settings → API**. A key is bound to a Flylogs user and the access level to features and functions depends on that user's type and privileges.
* Every API request requires an `Authorization: Bearer <api-key>` header. API keys begin with `flk_` and are long-lived — there is no login step.
* A key remains valid until it is **revoked** by an administrator, or until its optional **expiry** date passes. The full key is shown only once, at creation.
* API usage is limited and throttled. Any user abusing the system or performing an abusive number of requests will be banned from the system automatically for 14 days.

**Upon API service activation, you will have access to the docs in the** [**help site**](https://neo.flylogs.com/help/article/view/API/description.md) **of the NEO.**


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flylogs.com/fcom/api-docs/usage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
